# $Revision: 1.16 $, $Date: 2012/01/12 17:37:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	bignum
Summary:	bignum - Transparent BigNumber support for Perl
Summary(pl.UTF-8):	bignum - przezroczysta obsługa wielkich liczb dla Perla
Name:		perl-bignum
Version:	0.29
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pnam}-%{version}.tar.gz
# Source0-md5:	2b7f6af7b3f24ab2e9e9e6c95b7ec8fd
URL:		http://search.cpan.org/dist/bignum/
%if %{with tests}
BuildRequires:	perl-Math-BigInt >= 1.83
BuildRequires:	perl-Math-BigRat >= 0.19
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.83
Requires:	perl-Math-BigRat >= 0.19
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package attempts to make it easier to write scripts that use
BigInts/BigFloats in a transparent way. They use the rewritten version
of Math::BigInt and Math::BigFloat, Math::BigRat (for bigrat) and
optionally Math::BigInt::Lite.

It's a great way for writing impressing onliners, which is almost
enough to justify any Perl package ;)

%description -l pl.UTF-8
Ten pakiet ułatwia pisanie skryptów używających BigInt/BigFloat w
sposób przezroczysty. Używają przepisanej wersji Math::BigInt 
i Math::BigFloat, Math::BigRat (w bigrat) oraz opcjonalnie
Math::BigInt::Lite.

Jest to świetny sposób to pisania jednolinijkowców, które są prawie
wystarczające do usprawiedliwienia dowolnego pakietu perlowego ;)

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/bigint.pm
%{perl_vendorlib}/bignum.pm
%{perl_vendorlib}/bigrat.pm
%dir %{perl_vendorlib}/Math/BigFloat
%{perl_vendorlib}/Math/BigFloat/Trace.pm
%{perl_vendorlib}/Math/BigInt/Trace.pm
%{_mandir}/man3/big*.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-bignum.spec,v $
Revision 1.16  2012/01/12 17:37:16  zbyniu
- up to 0.29

Revision 1.15  2011/07/01 14:26:06  marti
- up to 0.25

Revision 1.14  2009/10/08 11:35:27  amateja
- updated to 0.23

Revision 1.13  2007/05/27 20:42:12  qboosh
- updated to 0.21

Revision 1.12  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.10  2005/07/27 21:48:24  radek
- version 0.17

Revision 1.9  2005/01/03 16:00:33  adamg
- updated to 0.16

Revision 1.8  2004/11/03 21:01:01  paladine
- formatting

Revision 1.7  2004/08/18 22:08:22  havner
- rel 3

Revision 1.6  2004/08/12 17:16:51  radek
- release 2: fixed typo in Requires (Math::BigInt 1.70, not 1.79)

Revision 1.5  2004/05/06 18:43:25  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/04 13:34:33  ankry
- cosmetics

Revision 1.3  2004/03/14 17:15:16  adamg
- updated BuildRequires and Requires

Revision 1.2  2004/03/14 16:56:37  adamg
- updated to 0.15

Revision 1.1  2003/10/09 19:36:22  qboosh
- new
